[Parted-commits] GNU Parted Official Repository: Changes to 'master'

Jim Meyering meyering at alioth.debian.org
Tue Jun 12 18:41:09 UTC 2007


 tests/t1100-busy-label.sh |    2 +-
 tests/test-lib.sh         |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

New commits:
commit 4b3626b4bd943239a7bbb1c4db2b0b7d56bb1072
Author: Jim Meyering <jim at meyering.net>
Date:   Tue Jun 12 16:39:55 2007 +0200

    Fix two "make check"-as-root failures.
    t1100-busy-label.sh: Remove extra copy of "o2" temporary file name.
    test-lib.sh (emit_superuser_warning): Exit successfully when run as root, too.

diff --git a/tests/t1100-busy-label.sh b/tests/t1100-busy-label.sh
index d71da87..b8f5950 100755
--- a/tests/t1100-busy-label.sh
+++ b/tests/t1100-busy-label.sh
@@ -76,7 +76,7 @@ test_expect_success 'create expected output file' 'test $fail = 0'
 # Transform the actual output, removing ^M   ...^M.
 test_expect_success \
     'normalize the actual output' \
-    'mv out o2 && sed -e "s,
   *
,,;s, $,," o2 \
+    'mv out o2 && sed -e "s,
   *
,,;s, $,," \
                       -e "s,^.*/lt-parted: ,parted: ," o2 > out'
 
 test_expect_success \
diff --git a/tests/test-lib.sh b/tests/test-lib.sh
index 29a2be1..9ce10e2 100644
--- a/tests/test-lib.sh
+++ b/tests/test-lib.sh
@@ -205,7 +205,7 @@ emit_superuser_warning()
 {
   uid=`id -u` || uid=1
   test "$uid" != 0 &&
-    echo 'WARNING: You are not superuser.  Watch out for permissions.'
+    echo 'WARNING: You are not superuser.  Watch out for permissions.' || :
 }
 
 # Test the binaries we have just built.



More information about the Parted-commits mailing list